# $Revision: 1.8 $, $Date: 2004/10/09 11:04:07 $
%define		realname	pcre
Summary:	Perl-Compatible Regular Expression library - Mingw32 cross version
Summary(pl):	Biblioteka perlowych wyrae regularnych - wersja skrona dla Mingw32
Name:		crossmingw32-%{realname}
Version:	5.0
Release:	3
License:	BSD (see LICENCE)
Group:		Libraries
Source0:	ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{realname}-%{version}.tar.bz2
# Source0-md5:	813850808894d99fb5b1c41ec6335d4f
Requires:	crossmingw32-runtime
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target		i386-mingw32
%define		target_platform	i386-pc-mingw32
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_prefix}/lib/gcc-lib/%{target}
%define		gcclib		%{_prefix}/lib/gcc-lib/%{target}/%{version}

%define		__cc		%{target}-gcc
%define		__cxx		%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
PCRE stands for the Perl Compatible Regular Expression library. It
contains routines to match text against regular expressions similar to
Perl's. It also contains a POSIX compatibility library.

%description -l pl
PCRE (Perl-Compatible Regular Expression) oznacza bibliotek wyrae
regularnych kompatybilnych z perlowymi. Zawiera funkcje dopasowujce
tekst do wyrae regularnych podobnych do tych znanych z Perla.
Zawiera take bibliotek kompatybiln z POSIX.

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
%{realname} - DLL library for Windows.

%description dll -l pl
%{realname} - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
CC=%{target}-gcc ; export CC
CXX=%{target}-g++ ; export CXX
LD=%{target}-ld ; export LD
AR=%{target}-ar ; export AR
AS=%{target}-as ; export AS
CROSS_COMPILE=1 ; export CROSS_COMPILE
CPPFLAGS="-I%{arch}/include" ; export CPPFLAGS
RANLIB=%{target}-ranlib ; export RANLIB
LDSHARED="%{target}-gcc -shared" ; export LDSHARED
TARGET="%{target}" ; export TARGET

%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--host=%{_host} \
	--target=%{target} \
	--enable-utf8 \
	--disable-shared

# we want host binary to generate some tables, not win32 binary
cc -c %{rpmcflags} -I. dftables.c
cc %{rpmcflags} -I. -I. -o dftables dftables.o

%{__make} winshared

%if 0%{!?debug:1}
%{target}-strip .libs/*.dll
%{target}-strip -g -R.comment -R.note .libs/*.a
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include,lib}
install -d $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

install pcre.h $RPM_BUILD_ROOT%{arch}/include
install .libs/libpcre{,.dll}.a $RPM_BUILD_ROOT%{arch}/lib
install .libs/pcre.dll $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*
%{arch}/lib/*

%files dll
%defattr(644,root,root,755)
%{_datadir}/wine/windows/system/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-pcre.spec,v $
Revision 1.8  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.7  2004/09/16 15:40:44  wolf
- rel 2 to rebuild with gcc 3.4.2

Revision 1.6  2004/09/15 19:06:06  qboosh
- updated to 5.0, removed obsolete shared patch (use winshared target instead)

Revision 1.5  2004/06/08 12:12:28  radek
- s/%optflags/%rpmcflags/

Revision 1.4  2004/02/21 18:56:38  wolf
- fix alpha, sparc
- allow building without wine installed

Revision 1.3  2004/01/04 17:36:31  wolf
- reverted

Revision 1.2  2004/01/04 16:49:39  wolf
- don't require wine to build

Revision 1.1  2003/12/25 16:57:38  wolf
- blah

